using Encompass;
using MoonTools.Structs;

namespace PongFE.Messages
{
    public struct BallSpawnMessage : IMessage
    {
        public Position2D Position { get; }
        public float Speed { get; }
        public int Width { get; }
        public int Height { get; }

        public BallSpawnMessage(Position2D position, float speed, int width, int height)
        {
            Position = position;
            Speed = speed;
            Width = width;
            Height = height;
        }
    }
}
